> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/ipt/ip-transit/deleteiptransit.md).

# DeleteIPTransit

## 1. API Description

This API (DeleteIPTransit) is used to deletes an IP Transit.

{% hint style="info" %}
**Notes**

* Only IP Transits in **RUNNING** or **CREATING\_FAILED** state are allowed for this operation.
* This is an asynchronous API. After the delete request is successfully submitted, the deletion is not immediately completed. During this period, the IP Transit state will be **DESTROYING**. After successful deletion, the data will no longer be returned from [DescribeIPTransits](https://github.com/zenlayer/zenlayercloud-api-doc-en/tree/main/ipt/ip-transit/describe-iptransits.md).
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description    |
| -------------- | -------- | ------ | -------------- |
| iptId          | Yes      | String | IP Transit ID. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Delete a specified IP Transit.**

```json
POST /api/v2/ipt HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteIPTransit
Request：
{
  "iptId": "your-ipt-id"
}
Response：
{
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"，
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                | Description                                                |
| ---------------- | ------------------------- | ---------------------------------------------------------- |
| 404              | INVALID\_RIPT\_NOT\_FOUND | The IP Transit instance does not exist.                    |
| 400              | INVALID\_RIPT\_STATE      | The IP Transit state does not support this operation.      |
| 409              | INVALID\_RIPT\_HA\_ROLE   | The IP Transit's HA role does not apply to this operation. |
